StdContainerSerializers (Jackson JSON Processor)
Date: 2013-07-14

org.codehaus.jackson.map.ser.std

## Class StdContainerSerializers

- java.lang.Object
- - org.codehaus.jackson.map.ser.std.StdContainerSerializers

- Direct Known Subclasses:
    ContainerSerializers

      public class StdContainerSerializers
      extends Object

  Dummy container class to group standard container serializers: serializers that can serialize things like `List`s, `Map`s and such.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StdContainerSerializers.IndexedListSerializer` This is an optimized serializer for Lists that can be efficiently traversed by index (as opposed to others, such as `LinkedList` that can not}.
    `static class` | `StdContainerSerializers.IteratorSerializer`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StdContainerSerializers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContainerSerializerBase<?>` | `collectionSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)`
    `static JsonSerializer<?>` | `enumSetSerializer(JavaType enumType, BeanProperty property)`
    `static ContainerSerializerBase<?>` | `indexedListSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property, JsonSerializer<Object> valueSerializer)`
    `static ContainerSerializerBase<?>` | `iterableSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property)`
    `static ContainerSerializerBase<?>` | `iteratorSerializer(JavaType elemType, boolean staticTyping, TypeSerializer vts, BeanProperty property)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdContainerSerializers

          protected StdContainerSerializers()

  - ### Method Detail

    - #### indexedListSerializer

          public static ContainerSerializerBase<?> indexedListSerializer(JavaType elemType,
                                                         boolean staticTyping,
                                                         TypeSerializer vts,
                                                         BeanProperty property,
                                                         JsonSerializer<Object> valueSerializer)

    - #### collectionSerializer

          public static ContainerSerializerBase<?> collectionSerializer(JavaType elemType,
                                                        boolean staticTyping,
                                                        TypeSerializer vts,
                                                        BeanProperty property,
                                                        JsonSerializer<Object> valueSerializer)

    - #### iteratorSerializer

          public static ContainerSerializerBase<?> iteratorSerializer(JavaType elemType,
                                                      boolean staticTyping,
                                                      TypeSerializer vts,
                                                      BeanProperty property)

    - #### iterableSerializer

          public static ContainerSerializerBase<?> iterableSerializer(JavaType elemType,
                                                      boolean staticTyping,
                                                      TypeSerializer vts,
                                                      BeanProperty property)

    - #### enumSetSerializer

          public static JsonSerializer<?> enumSetSerializer(JavaType enumType,
                                            BeanProperty property)